%define     oname openstackdocstheme
%def_with   python3

Name:       python-module-%oname
Version:    1.18.1
Release:    alt1.M80C.1

Summary:    Sphinx theme for RST-sourced documentation published to docs.openstack.org

License:    Apache-2.0
Group:      Development/Python
Url:        https://pypi.org/project/openstackdocstheme
#           https://github.com/openstack/openstackdocstheme

Packager:   Grigory Ustinov <grenka@altlinux.org>

Source:     %name-%version.tar
Patch0001:  0001-Remove-all-Google-Analytics-tracking.patch
Patch0002:  0002-python-module-openstackdocstheme-fix-build.patch

BuildArch:  noarch

BuildRequires: python-module-pbr
# for building docs
BuildRequires: python-module-dulwich
BuildRequires: python-module-sphinx >= 1.6.2

%if_with python3
BuildRequires: python3-module-pbr
BuildRequires: python3-module-sphinx >= 1.6.2
%endif

Requires: python-module-sphinx >= 1.6.2

%description
OpenStack Sphinx Theme

Theme and extension support for Sphinx documentation that is published to
docs.openstack.org. Intended for use by OpenStack projects.

%package -n python3-module-%oname
Summary:  Sphinx theme for RST-sourced documentation published to docs.openstack.org
Group: Development/Python3
Requires: python3-module-sphinx >= 1.6.2

%description -n python3-module-%oname
OpenStack Sphinx Theme

Theme and extension support for Sphinx documentation that is published to
docs.openstack.org. Intended for use by OpenStack projects.

%package -n python-module-%oname-docs
Summary:  Sphinx theme for RST-sourced documentation published to docs.openstack.org
Group: Development/Documentation

%description -n python-module-%oname-docs
OpenStack Sphinx Theme

Theme and extension support for Sphinx documentation that is published to

%prep
%setup
%patch0001 -p1
%patch0002 -p1

# Prevent doc build warnings from causing a build failure
sed -i '/warning-is-error/d' setup.cfg

%if_with python3
cp -a . ../python3
%endif

%build
# Make sure there is no Google Analytics
sed -i 's/analytics_tracking_code.*/analytics_tracking_code\ =/' openstackdocstheme/theme/openstackdocs/theme.conf
%python_build
%if_with python3
pushd ../python3
%python3_build
popd
%endif

python setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%if_with python3
pushd ../python3
%python3_install
mkdir -p %buildroot%python3_sitelibdir_noarch/%oname/theme
cp -r %oname/theme/* \
%buildroot%python3_sitelibdir_noarch/%oname/theme
popd
%endif

mkdir -p %buildroot%python_sitelibdir_noarch/%oname/theme
cp -r %oname/theme/* \
%buildroot%python_sitelibdir_noarch/%oname/theme
%python_install

%files
%doc README.rst LICENSE
%python_sitelibdir_noarch/%oname
%python_sitelibdir_noarch/*.egg-info

%if_with python3
%files -n python3-module-%oname
%doc README.rst LICENSE
%python3_sitelibdir_noarch/%oname
%python3_sitelibdir_noarch/*.egg-info
%endif

%files -n python-module-%oname-docs
%doc doc/build/html

%changelog
* Tue Feb 19 2019 Lenar Shakirov <snejok@altlinux.ru> 1.18.1-alt1.M80C.1
- v1.18.1 for c8.1

* Thu Feb 14 2019 Grigory Ustinov <grenka@altlinux.org> 1.29.1-alt1
- Build new version.

* Thu Jan 10 2019 Grigory Ustinov <grenka@altlinux.org> 1.28.1-alt1
- Build new version.

* Tue Nov 20 2018 Grigory Ustinov <grenka@altlinux.org> 1.27.1-alt1
- Build new version.

* Tue Oct 09 2018 Grigory Ustinov <grenka@altlinux.org> 1.25.1-alt2
- Build with docs.

* Fri Oct 05 2018 Grigory Ustinov <grenka@altlinux.org> 1.25.1-alt1
- Build new version.
- Change build scheme.

* Thu Aug 09 2018 Grigory Ustinov <grenka@altlinux.org> 1.21.1-alt2
- Fix copying missing theme files.

* Wed Aug 08 2018 Grigory Ustinov <grenka@altlinux.org> 1.21.1-alt1
- Initial build for Sisyphus (without docs).
